Skip to content

Account Detail Query

API Information

  • Path: api/v1/acct/queryAcctDetail
  • Method: POST
  • Content-Type: application/json

Business Description

  • Suitable for daily reconciliation, transaction record queries, exception verification, and fee calculation.
  • Allows querying account transaction details for a specified currency.
  • Supports filtering by multiple transaction types, such as deposit credit, payment submission debit, fee collection, fund freeze/unfreeze, etc.
  • Note: To avoid excessive data volume, do not set the query time range too large.
  • You can filter specific transaction types using the txnType parameter.

Request Parameters

Request Body

ParameterTypeDescriptionRequired
merchantNostringThe merchant number of the request initiator.M
onBehalfOfstringThe merchant number that the request is actually associated with. Provide this field only when initiating a request on behalf of another merchant.N
currencystring(20)Currency, e.g.: USDM
beginTimestringStart time, format: "2024-06-11 00:00:00"M
endTimestringEnd time, format: "2024-07-13 12:12:12"M
sizeintegerRecords per page, e.g.: 10M
currentintegerCurrent page, default 1M
txnTypestringTransaction typeN
signstringSignatureM
Transaction Type Description
  • Fee Adjustment: 0036
  • Monthly Fee: 0034
  • Deposit: 0043
  • Credit Freeze: 1024
  • Credit Fee: 1025
  • Deposit Credit: 1026
  • Withdrawal: 0032
  • Submit payment: 1030
  • Withdrawal/Submit payment Fee: 1031
  • Withdrawal/Submit payment Fee Reversal: 1038
Request Example
json
{
  "merchantNo": "800181",
  "currency": "USD",
  "beginTime": "2024-09-25 00:00:00",
  "endTime": "2024-10-13 12:12:12",
  "size": "10",
  "current": "1",
  "txnType": "AVAIL",
  "sign": "a1b2c3d4e5f6789012345678901234567890abcd"
}

Response Result

Response Body

ParameterTypeDescription
respCodestringResponse Code
respMsgstringResponse Message
dataobjectResponse Data
  └─currencystringCurrency
  └─availBalancestringAvailable Balance
  └─freezeBalancestringFrozen Balance
  └─accountTransactionDetailsarrayTransaction Detail List
Transaction Detail Fields
ParameterTypeDescription
serviceIdintegerTransaction ID
txnTypestringTransaction Type
currencystringCurrency
accountBalanceBeforenumberOpening Balance
moveAmountnumberChange in Balance
accountBalanceAfternumberClosing Balance
remarkstringRemark
balanceUpdDatestringAccount Balance Update Time